Bug 608447 - (perl-Data-Serializer) Review Request: perl-Data-Serializer - Modules that serialize data structures
Review Request: perl-Data-Serializer - Modules that serialize data structures
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Seri...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 11:42 EDT by Iain Arnell
Modified: 2010-08-05 23:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 23:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-06-27 11:42:52 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Data-Serializer.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Data-Serializer-0.49-1.fc14.src.rpm

Description:
Provides a unified interface to the various serializing modules currently
available. Adds the functionality of both compression and encryption.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2275764

*rt-0.10_01
Comment 1 Emmanuel Seyman 2010-07-11 02:08:57 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-07-11 02:28:49 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2310626

 [x] Rpmlint output:

perl-Data-Serializer.noarch: E: script-without-shebang /usr/share/perl5/Data/Serializer.pm
perl-Data-Serializer.noarch: E: script-without-shebang /usr/share/perl5/Data/Serializer/Cookbook.pm

 [x] Package is not relocatable.
 [x] Buildroot is correct

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [-] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.

31a8c3f5ab573a840b4314d327bc534a  Data-Serializer-0.49.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [!] Permissions on files are set properly.

/usr/share/perl5/Data/Serializer/Cookbook.pm and /usr/share/perl5/Data/Serializer.pm
are chmod 755.They should be chmod 644.

 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: rawhide.x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

All tests successful.
Files=28, Tests=2982,  7 wallclock secs ( 0.31 usr  0.03 sys +  6.05 cusr  0.94 csys =  7.33 CPU)
Result: PASS

APPROVED.

Ian, please change the file permissions on Data/Serializer.pm and Data/Serializer/Cookbook.pm before check-in.
Comment 3 Iain Arnell 2010-07-11 03:30:17 EDT
New Package CVS Request
=======================
Package Name: perl-Data-Serializer
Short Description: Modules that serialize data structures
Owners: iarnell
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig
Comment 4 Iain Arnell 2010-07-11 03:36:29 EDT
Oops. Ignore previous comment - should be F-12 F-13 branches only, of course.

New Package CVS Request
=======================
Package Name: perl-Data-Serializer
Short Description: Modules that serialize data structures
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-07-12 13:22:24 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Iain Arnell 2010-07-12 23:18:08 EDT
Thanks for the review. Permissions fixed and committed.
Comment 7 Fedora Update System 2010-07-12 23:18:54 EDT
perl-Data-Serializer-0.49-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Data-Serializer-0.49-2.fc13
Comment 8 Fedora Update System 2010-07-12 23:18:59 EDT
perl-Data-Serializer-0.49-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Data-Serializer-0.49-2.fc12
Comment 9 Fedora Update System 2010-07-13 16:40:29 EDT
perl-Data-Serializer-0.49-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Serializer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Serializer-0.49-2.fc12
Comment 10 Fedora Update System 2010-07-13 16:44:38 EDT
perl-Data-Serializer-0.49-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Serializer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Data-Serializer-0.49-2.fc13
Comment 11 Iain Arnell 2010-08-05 23:17:38 EDT
These got pushed to stable, but bodhi seems to have forgotten to inform bugzilla.

Note You need to log in before you can comment on or make changes to this bug.